2019년 6월 현 시점에서 워드프레스를 운영하기 위한 권장 서버 사양은 아래와 같습니다.

  • PHP 7.3 이상
  • MySQL 5.6 이상 또는 MariaDB 10.1 이상
  • HTTPS 지원

현재 날짜를 명시한 이유는 이 권장 서버 사양이 계속해서 바뀌기 때문입니다. 많은 솔루션들이 안정성이란 이유로 권장 서버 사양을 낮게 유지합니다. 하지만 워드프레스는 가능한 최신 사양의 서버 환경에서 운영하는 것을 권장하고 있습니다. 인기있는 오픈소스 CMS라서 가능한 일이 아닐까 싶습니다.

반면에 국내 호스팅 서비스 제공 업체는 이 속도를 빠르게 따라가지는 못하는 것 같습니다. 해외 워드프레스 전용 호스팅 서비스들이 빠르게 대응하는 것과는 조금 차이가 있죠.

물론 권장 사항에 조금 못 미친다고 해서 워드프레스 운영 자체가 불가능한 것은 아닙니다. 사실 워드프레스는 최소 PHP 5.6.20, MySQL 5.0 에서도 운영은 가능합니다. 다만 각 어플리케이션의 지원이 종료된 상태이기 때문에 보안에 취약할 수 있습니다.

그리고 워드프레스 코어의 지원과는 상관없이 기타 플러그인들이 낮은 서버 사양에서는 작동하지 않는 경우도 많습니다. 따라서 워드프레스의 서버 권장 사양을 충족하는 호스팅을 선택하는 것이 좋습니다.

권장 서버 사양을 충족한다고 해서 모든 문제가 해결되는 것은 아닙니다. 호스팅 서비스 제공 업체에 따라서 디렉토리 소유권과 권한 설정이 맞지 않는 경우도 있고, 워드프레스 운영에 필요한 PHP 모듈 설치가 안되어 있을 수가 있습니다. 물론 업체에 설정 변경 및 설치를 요청할 수 있습니다. 하지만 그러지 않아도 되는 서비스가 있다면 굳이 이런 서비스를 이용할 필요가 없겠죠.

카페24의 ’10G 광아우토반 Full SSD’‘파워업 무제한 광호스팅’ 는 크리에이티브밴드가 가장 많이 사용하는 상품입니다. Nginx 웹서버를 사용하지 않는 것은 아쉽지만, 매체사와 같은 트래픽 집적이 발생하지 않는 사이트라고 한다면 Apache 웹서버로도 문제가 없기 때문에 추천할 만 합니다. PHP 7.3을 지원하고 MariaDB 10.0.X 버전을 제공합니다. 하드 용량은 10GB이고, 트래픽 용량은 무제한입니다. SNS를 통해서 비정상적인 트래픽이 발생할 경우 파워업 무제한 광호스팅과 같은 트래픽 무제한 옵션은 매우 편리합니다. 트래픽 리셋 신청 같은 것을 안해도 되기 때문입니다.

몇 차례 언급한적 있지만, 크리에이티브밴드와 카페24와는 어떤 관계도 없습니다. 다만 워드프레스 전문 에이전시로 지난 8년간 일해오면서 카페24의 웹 호스팅 서비스는 매우 안정적이었습니다. 다른 호스팅 서비스 제공 업체의 경우 한 두 번은 고객센터를 통해 특별한 요청을 해야했었습니다. (물론 현 시점에서는 어떤지 잘 모릅니다.)